import React from 'react';
import ReactDOM from 'react-dom';
console.log(ReactDOM);

function tabulate(data) {
  const table = d3.select('body').append('table').attr("id", "example").attr("class", "display nowrap")
  const thead = table.append('thead')
  const tbody = table.append('tbody')

  thead.append('tr')
    .selectAll(null)
    .data(data.shift())
    .enter()
    .append('th')
    .text(d => d)

  const rows = tbody.selectAll(null)
    .data(data)
    .enter()
    .append('tr')

  rows.selectAll(null)
    .data(d => d)
    .enter()
    .append('td')
    .text(d => d)

  return table;
}

d3.text("https://gist.githubusercontent.com/vigneswaran009/14ccb1906157bad2cd15b8fcce2b459b/raw/0a7f39ceff331bda88004f65874279af3f679f8c/CovidBedStatus.csv")
  .then(d3.csvParseRows)
  .then(tabulate)
  .then(() => $('#example').DataTable());


const App = () => (
    <div>
<label for="cars">Choose a car:</label>

<select name="cars" id="cars">
  <option value="volvo">Volvo</option>
  <option value="saab">Saab</option>
  <option value="mercedes">Mercedes</option>
  <option value="audi">Audi</option>
</select> 
</div>
                  
                  );


                  

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
